=== debian/changelog ===
debian-reference (2.38) unstable; urgency=low

  * Used package format: 3.0 (native) and updated build system to use 
    modern debhelper style.
  * Fixed debhelper-but-no-misc-depends. 
  * Added UTF-8 checking and shared VCS archive tips.
  * Updated "Virtualized system" section with new contents and created
    link from "Life with eternal upgrades".
  * Created "The disk image" section and moved related contents there
    with many updates and new contents.
  * Updated "Fonts in the X Window" to mention move to fontconfig.
  * Updated "Idioms for the archive" and "Idioms for the copy" to 
    be precise.
  * Updated "The domain name" and "The hostname resolution". 
  * Updated Japanese translation: 100%.
  * Moved debian-reference to /usr/share/debian-reference-common.
 
 -- Osamu Aoki <osamu@debian.org>  Sun, 03 Jan 2010 17:43:15 +0900

debian-reference (2.37) unstable; urgency=low

  * README is not README.gz since it is small.  Closes: 556119
  * Moved menu entry to Accessories. LP: #194784
  * Marked translation of old version 1 in titles and index properly.
  * Updated build script to translate URL entity using PO.
  * Mentioned migration to dependency based boot system.
  * Translated Wikipedia URLs to use as much English URLs.  Also 
    adjusted English URLs to auto-select ones.
  * Changed Japanese style to conform to the Cabinet Notification 2 
    of June 28th, 1991.
  * Added French translation (almost comple and quite usable).
  * Updated Standards-Version to 3.8.3.

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Nov 2009 03:14:53 +0900

debian-reference (2.36) unstable; urgency=low

  * Added "The filesystem" in "The system initialization".
  * Removed future tense usages per IBM Style.
  * Rewrote "Restricting access to some server services".
  * Spell checked with xargs -n1|sed ... |sort|uniq.
  * Cleaned Makefile (Now DDP has asciidoc)
  * Updated Japanese translation: 100%.
  * Marked translation of old version 1 in titles.

 -- Osamu Aoki <osamu@debian.org>  Tue, 25 Aug 2009 23:22:18 +0900

debian-reference (2.35) unstable; urgency=low

  * Removed deprecated dh_desktop and update standards-version to 3.8.2.
  * Omitted "..[^.]*". Closes: 537411
  * Popcon data are now linked to popcon graph while new BTS link added as *.
  * Updated CVS/Subversion contents.
  * English style polishing by referencing IBM Style from
    http://www.ibm.com/software/ucd/files/IBM_Style_27Apr09.pdf
  * More Japanese translation: 100%.

 -- Osamu Aoki <osamu@debian.org>  Sat, 22 Aug 2009 03:37:43 +0900

debian-reference (2.34) unstable; urgency=low

  * More Japanese translation up to 6.12.
  * Reorganized deep subsections only to chapter/section/section.
  * All tables span to the page width.

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Jul 2009 21:41:09 +0900
