=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------

# Variable to change Makefile behavior (make clean)
DEBIAN_PACKAGE_BUILD_MODE = YES
export DEBIAN_PACKAGE_BUILD_MODE

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
## Targets

binary: binary-indep

%:
	dh $@
