## debian-reference 2.41

=== Makefile ===
--- 
+++ 
@@ -7,15 +7,13 @@
 #######################################################################
 # Build from xml only as default (package) -- for squeeze (package)
 # to avoid regression caused by asciidoc 8.4.1
-ifdef DEBIAN_PACKAGE_BUILD_MODE
-# When executed from pbuilder, debuild, debian/rules, ...
-BUILD_MODE	:= deb
-else
-# If run directlt from make on lenny-derivative, this is "5.0"
-BUILD_MODE	:= $(shell sed -r -e 's/^(...).*/\1/' < /etc/debian_version )
+# BUILD_MODE value set to asciidoc version number
+ifndef BUILD_MODE
+BUILD_MODE	:= $(shell asciidoc --version)
 endif
-# BUILD_MODE value to for building from asciidoc
-BUILD_MODE_ASCIIDOC := 5.0
+
+# BUILD_MODE value of correct asciidoc version number to use
+BUILD_MODE_ASCIIDOC := asciidoc 8.2.7
 
 # Please note package build and ddp script overides $(PUBLISHDIR)
 # if $(PUBLISHDIR) is not set, set it here for testing
@@ -64,7 +62,7 @@
 # AsciiDoc source file names in $(ADOC) directories for local update
 ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
 		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
-		07_xwindow.txt 08_i18nl10ntxt 09_systips.txt 10_datamngt.txt \
+		07_xwindow.txt 08_i18nl10n.txt 09_systips.txt 10_datamngt.txt \
 		11_dataconv.txt 12_program.txt 99_appendix.txt \
 		copyright.txt header1.txt header2.txt $(DOCNAME).txt
 # source asciidoc files (local updates of XML source files requires these under lenny)
@@ -81,40 +79,13 @@
 #######################################################################
 # Build all sources to html and text pages (Default target)     ALL/DEB
 #######################################################################
-.PHONY: all dh_in
-all: html txt css
+.PHONY: all package
+# Simpler target for easy debug.
+all: html css
+
+# Target for package building
+package: html txt css
 	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR) "LANG_ALL=$(LANGSGML)"
-# When building for Debian packages, build debhelper entries for install
-ifdef DEBIAN_PACKAGE_BUILD_MODE
-	$(MAKE) dh_in
-endif
-
-dh_in:
-	# Generate files for debhelper in debian/
-	cd $(CURDIR)/debian/ ; \
-	cp all.postinst-in     $(DOCNAME)-common.postinst ; \
-	for xx in $(LANGALL) ; do \
-	  cp all.postinst-in     $(DOCNAME)-$${xx}.postinst ; \
-	  cp all.postrm-in       $(DOCNAME)-$${xx}.postrm ; \
-	  case $$xx in \
-	    en) LANGX="English" ;;  \
-	    de) LANGX="German" ;;   \
-	    fr) LANGX="French" ;;   \
-	    fi) LANGX="Finnish" ;;  \
-	    es) LANGX="Spanish" ;;  \
-	    it) LANGX="Italian" ;;  \
-	    ja) LANGX="Japanese" ;; \
-	    pl) LANGX="Polish" ;; \
-	    pt-br) LANGX="Portuguese (Brazil)" ;; \
-	    zh-tw) LANGX="Chinese (Traditional)" ;; \
-	    zh-cn) LANGX="Chinese (Simplified)" ;; \
-	    *) LANGX="$$x" ;; \
-	  esac ; \
-	  sed  -e "s/@@/$$xx/" < all.dirs-in  >$(DOCNAME)-$${xx}.dirs ; \
-	  sed  -e "s/@@/$$xx/" < all.links-in  >$(DOCNAME)-$${xx}.links ; \
-	  sed  -e "s/@@/$$xx/" < all.install-in  >$(DOCNAME)-$${xx}.install ; \
-	  sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(DOCNAME)-$${xx}.doc-base ; \
-	done
 
 #######################################################################
 # Build all sources to html and text pages for web (DDP on alioth)  DDP
@@ -128,45 +99,36 @@
 	# For www.debian.org, relative symlink only
 	-ln -sf debian-reference $(PUBLISHDIR)/reference
 	# When DDP moves to squeeze, change to BUILD_MODE=xml
-	$(MAKE) html txt css BUILD_MODE=asciidoc PUBLISHDIR=$(PUBLISHDIR)/debian-reference "LANGPO=$(LANGPO)"
-	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR)/debian-reference "LANG_ALL=$(LANGSGML)"
+	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference"
+	$(MAKE) -C sgml all  "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" "LANG_ALL=$(LANGSGML)"
 
 #######################################################################
 # Clean targets                                                     ALL
 #######################################################################
-.PHONY: clean dh_clean_in distclean
+.PHONY: clean packageclean distclean
 
 clean:
-	echo $(BUILD_MODE)
+	echo "BUILD_MODE = \"$(BUILD_MODE)\""
 	-rm -f *.swp *~ *.tmp
 	-rm -f $(PODOC)/*~ $(ADOC)/*~
 	-rm -rf html
-	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., en $(LANGPO)))
-	-rm -f $(DOCNAME).en.xmlt common.ent header.txt
+	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
+	-rm -f $(DOCNAME).en.xml
+	-rm -f $(DOCNAME).en.xmlt header.txt
 	$(MAKE) -C sgml clean "LANG_ALL=$(LANGSGML)" PUBLISHDIR=$(PUBLISHDIR)
-	$(MAKE) dh_clean_in
-
-dh_clean_in:
-	# Clean files for debhelper in debian/
-	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .dirs,     $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .links,    $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .install,  $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
-distclean: clean
+packageclean: clean
 	# We should clean these local cached data for debian package.
 	-rm -f all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
-ifndef DEBIAN_PACKAGE_BUILD_MODE
+
+distclean: packageclean
 ifeq ($(BUILD_MODE),$(BUILD_MODE_ASCIIDOC))
 	# If not from debian/rules but in asciidoc mode, 
-	# remove remotely generated files.
+	# remove remotely generated files to refresh.
+	-rm -f $(DOCNAME).raw.xml
 	-rm -f $(SRC_ENT)
-endif
 endif
 
 #########################################################################
@@ -189,6 +151,7 @@
 # Regression caused by asciidoc 8.4.1 should be addressed by 
 # "-a no-inline-literal" but .... this does not work.  Use lenny only.
 $(DOCNAME).raw.xml: $(SRC_ASC)
+	echo "BUILD_MODE = \"$(BUILD_MODE)\""
 	asciidoc -a no-inline-literal -a 'newline=\n' -b docbook -d book -o - $(ADOC)/$(DOCNAME).txt |\
 	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
 	xmllint --format -  |\
@@ -199,6 +162,7 @@
 # After squeeze, $(DOCNAME).raw.xml is pristine source and should not be rebuild.
 # To avoid dependency issues due to "$(DOCNAME).%.xml:", we need this target:
 $(DOCNAME).raw.xml:
+	echo "BUILD_MODE = \"$(BUILD_MODE)\""
 	echo "You need to run \"make\" in lenny environment or create it as pristine source."
 	exit 1
 #=======================================================================#
@@ -262,3 +226,32 @@
 
 popcon.ent:
 	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
+	if ! [ -f all-popcon-results.txt ]; then $(MAKE) all-popcon-results.txt ; fi
+	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
+	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  $@
+	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> $@
+	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> $@
+	TOTAL=$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
+	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(PBIN)/popconent $$TOTAL				>> $@
+
+pkgsize.ent:
+	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
+	if ! [ -f packages.txt ]; then $(MAKE) packages.txt ; fi
+	if ! [ -f packages.bkup.txt ]; then $(MAKE) packages.bkup.txt ; fi
+	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
+	$(PBIN)/sizeent packages.txt packages.bkup.txt < pkg.lst	> $@
+
+#########################################################################
+# XML file operations                                                 ALL
+#########################################################################
+# Create final XML sources
+
+common.ent: $(SRC_XML)
+	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
+	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
+	echo "<!ENTITY codename-stable   \"lenny\">"			>> $@
+	echo "<!ENTITY codename-testing  \"squeeze\">"			>> $@
+	echo "<!ENTITY codename-nexttesting  \"squeeze+1\">"		>> $@
+	echo "<!ENTITY codename-unstable \"sid\">"			>> $@
+
+# Update URL list header from $(DOCNAME).raw.xml
