=== debian/changelog ===
debian-reference (2.41) unstable; urgency=low

  * Expanded on git-svn. 
  * Updated getmail/maildrop configuration.
  * Updated from SCIM to IBus.
  * Dropped defoma and promoted fontconfig.
  * Updated for concurrent boot.
  * Promoted NetworkManager and marked ifupdown as legacy.

 -- Osamu Aoki <osamu@debian.org>  Wed, 16 Jun 2010 23:18:55 +0900

debian-reference (2.40) unstable; urgency=low

  * Used git instead of git-core.
  * Reworded around sid and security updates.
  * Described source format 3.0 (quilt) packages.
  * Fixed desktop-entry-contains-encoding-key.
  * Added Homepage:. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 25 May 2010 23:22:50 +0900

debian-reference (2.39) unstable; urgency=low

  * Added TCPMSS comment.
  * Added xz-uils reference.
  * Fixed group(5) reference per Davide Prina. Closes: 566721
  * Added list of boot utilities for the Debian system and concurrency
    reference.
  * Build system touch ups.

 -- Osamu Aoki <osamu@debian.org>  Sat, 06 Mar 2010 05:23:25 +0900
