=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, 
                      asciidoc, libxml2-utils
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
 Homepage: http://www.debian.org/doc/user-manuals#quick-reference
@@ -18,6 +18,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ This provides menu functionality and other common files.
 
 Package: debian-reference
 Architecture: all
@@ -27,6 +29,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ This installs all translations when "Recommends:" are installed.
 
 Package: debian-reference-en
 Architecture: all
@@ -36,6 +40,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The English original version.
 
 Package: debian-reference-fr
 Architecture: all
@@ -48,6 +54,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The French translation.
 
 Package: debian-reference-it
 Architecture: all
@@ -60,6 +68,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Italian translation.
 
 Package: debian-reference-ja
 Architecture: all
@@ -72,6 +82,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Japanese translation.
 
 Package: debian-reference-es
 Architecture: all
@@ -84,6 +96,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Spanish translation.
 
 Package: debian-reference-de
 Architecture: all
@@ -96,6 +110,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The German translation.
 
 Package: debian-reference-pt-br
 Architecture: all
@@ -108,6 +124,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Brazilian Portuguese translation.
 
 Package: debian-reference-pl
 Architecture: all
@@ -120,6 +138,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Polish translation.
 
 Package: debian-reference-zh-tw
 Architecture: all
@@ -132,6 +152,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Traditional Chinese translation.
 
 Package: debian-reference-zh-cn
 Architecture: all
@@ -144,4 +166,6 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Simplified Chinese translation.
