## debian-reference 2.45

=== debian/changelog ===
debian-reference (2.45) unstable; urgency=low

  * Fixed typo per Mathieu Parent. Closes: #597816
  * Added clearsigned gpg mail example.
  * xz/unxz command mentioned in Tutorial.
  * Fixed bashism per by Dominique Brazziel. Closes: #600016
  * Updated Wikipedia URL.
  * Updated French translation.
  * Added Portguese translation by Américo Monteiro.

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Dec 2010 23:31:33 +0900

debian-reference (2.44) unstable; urgency=low

  * Fixed wrong markup <package>git-svn</package> etc.
  * Fixed broken table for font types.
  * Added Italian translation with po4a by beatrice.
  * Addressed hold trick with dpkg and mixed use of apt-get/aptitude.
    Closes: #594490
  * Added .htaccess file per Simon Paillard for UTF-8 .txt . 
  * Set wheezy as the new testing name. Closes: #593960
  * Updated for the launch of official backports.debian.org.
  * Changed Japanese translation style to use space between CJK and ASCII.
  * Included asciidoc VERSION = '8.2.7' patched for newer Python
    for easy conversion from ascoodoc to XML. 
  * Removed listing of removed packages.
  * Updated copyright to 2007-2010. 
  * DEP-5 debian/copyright file.

 -- Osamu Aoki <osamu@debian.org>  Thu, 23 Sep 2010 01:29:18 +0900

debian-reference (2.43) unstable; urgency=low

  * Documented Breaks field matching updated policy. Closes: #590569
  * Changed tone around package managers.
  * Added precautionary statements for aptitude and NetworkManager.
  * Added spoofing need and link in "The domain name" section.

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Aug 2010 08:31:49 +0900

debian-reference (2.42) unstable; urgency=low

  * Updated SSL clients.
  * Changed from component to area for main/non-free/contrib. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Jun 2010 08:52:57 +0900
